function catmouse_plot

% specify intitial positions of cat and mouse
rM_init = [0; 0];
rC_init = [1; 0];

% specify integration time interval
tspan = [0, 1];

% set initital conditions
y0 = [rM_init; rC_init];

% activate event function
opts = odeset('Events', @catmouse_event);

% carry out integration
[t, y, te, ye, ie] = ode45(@catmouse_rhs, tspan, y0, opts);

% plot results
figure
plot(y(:, 1), y(:, 2), 'b-', y(:, 3), y(:, 4), 'r-', 0, 1, 'ko')
axis([-0.1 1.1 -0.1 1.1])
axis square
xlabel('x')
ylabel('y', 'Rotation', 0)
legend('mouse', 'cat', 'mousehole', 'Location', 'NorthEast')
title('cat and mouse')